Bug 1341462 (CVE-2016-4450) - CVE-2016-4450 nginx: NULL pointer dereference while writing client request body
Summary: CVE-2016-4450 nginx: NULL pointer dereference while writing client request body
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4450
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1341463 1341464 1342443
Blocks: 1341465
TreeView+ depends on / blocked
 
Reported: 2016-06-01 06:34 UTC by Andrej Nemec
Modified: 2019-09-29 13:50 UTC (History)
13 users (show)

Fixed In Version: nginx 1.11.1, nginx 1.10.1
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the nginx code responsible for saving client request body to a temporary file. A remote attacker could send a specially crafted request that would cause nginx worker process to crash.
Clone Of:
Environment:
Last Closed: 2016-07-14 11:21:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1425 normal SHIPPED_LIVE Moderate: rh-nginx18-nginx security update 2016-07-14 09:50:00 UTC

Description Andrej Nemec 2016-06-01 06:34:34 UTC
A vulnerability was found in nginx code responsible for saving
client request body to a temporary file.  A specially crafted request
might result in worker process crash due to a NULL pointer dereference
while writing client request body to a temporary file.

External references:

http://mailman.nginx.org/pipermail/nginx-announce/2016/000179.html

Upstream patches:

[nginx 1.9.13 - 1.11.0]
http://nginx.org/download/patch.2016.write.txt

[nginx 1.3.9 - 1.9.12]
http://nginx.org/download/patch.2016.write2.txt

Comment 1 Andrej Nemec 2016-06-01 06:35:29 UTC
Created nginx tracking bugs for this issue:

Affects: fedora-all [bug 1341463]
Affects: epel-all [bug 1341464]

Comment 2 Dhiru Kholia 2016-06-03 08:34:48 UTC
Upstream bug, https://trac.nginx.org/nginx/ticket/981

Comment 5 errata-xmlrpc 2016-07-14 05:50:38 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2016:1425 https://access.redhat.com/errata/RHSA-2016:1425

Comment 6 Fedora Update System 2016-09-06 20:15:58 UTC
nginx-1.10.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-09-06 21:17:24 UTC
nginx-1.10.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-09-06 21:18:24 UTC
nginx-1.10.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.